TagMangoTagMango Docs
Mango

Get Mangoes

GET
/api/v1/external/mangos

Get all mangoes created by the creator.

Each mango includes checkoutLink (always present) and shortLink (present once generated), both built on your x-whitelabel-host.

AuthorizationBearer <token>

In: header

Query Parameters

limit?number

Number of items per page of the results

Range1 <= value
page?number

Page number of the results

Range1 <= value
search?string

Search query

Header Parameters

x-whitelabel-host*string

Host name of the dashboard, ex: mydomain.tagmango.com

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api-prod-new.tagmango.com/api/v1/external/mangos" \  -H "x-whitelabel-host: string"
[
  {
    "_id": "66a1390268a76f2f5c9f39a3",
    "creator": "77b2390268a76f2f5c9f39a4",
    "title": "Introduction to Coding",
    "price": 500,
    "currency": "USD",
    "inrAmount": 500,
    "usdAmount": 6,
    "eurAmount": 5,
    "description": "This is a comprehensive guide to coding.",
    "isHidden": false,
    "isDeleted": false,
    "recurringType": "MONTHLY",
    "isPublic": false,
    "isFree": true,
    "affiliateEnabled": true,
    "zeroCostMango": false,
    "createdAt": "2024-08-11T10:20:30Z",
    "updatedAt": "2024-08-11T10:20:30Z",
    "coverContents": [
      "https://linktoimage.com/image.jpg",
      "https://linktoimage.com/video.mp4"
    ],
    "checkoutLink": "https://yourhost.com/web/checkout/66a1390268a76f2f5c9f39a3?purchaseNow=true",
    "shortLink": "https://yourhost.com/l/aB3xY9"
  }
]
{
  "code": 400,
  "type": "Bad Request",
  "statusMessage": "BAD_REQUEST",
  "success": false,
  "message": "Invalid request",
  "result": "Invalid request"
}
{
  "code": 401,
  "type": "Unauthorized",
  "statusMessage": "UNAUTHORIZED",
  "message": "Invalid token",
  "result": "Invalid token",
  "success": false
}
{
  "code": 403,
  "type": "Forbidden",
  "statusMessage": "FORBIDDEN",
  "errorCode": "WORKSHOP_MANGO_FORBIDDEN",
  "message": "You can not access this api with a TagMango account, only available for whitelabel hosts",
  "result": "You can not access this api with a TagMango account, only available for whitelabel hosts",
  "success": false
}
{
  "code": 429,
  "type": "Too Many Requests",
  "statusMessage": "TOO_MANY_REQUESTS",
  "message": "Request limit exceeded. try after 10 seconds",
  "result": "Request limit exceeded. try after 10 seconds",
  "success": false
}